program test
	use netcdf

	type(NC_FILE)::		file
	type(NC_DIMENSION)::	lat
	character(len = 64)::	buf
	logical:: ok

	call create(file, 'test.nc')
	print *, 'test file test.nc created'
	lat = Dimension(file, 'lat', 128)
	if (.error. lat) call NetcdfAssert()
	call NetcdfClearError()
	ok = (Name(lat) == 'lat')
	call NetcdfAssert()
	print *, 'name check for dimension name reading/writing:', ok
	call close(file)

end program
